package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chenqi
 * @since 2021-01-19
 */
public interface WorkUserMapper extends BaseMapper<WorkUser> {

    WorkUser getUserInfo(@Param("map") Map<String, Object> map);

    /**
     * 根据id获取用户一些基本信息
     * @param userId
     * @return
     */
    WorkUser getUserById(@Param("userId") Integer userId);

    Integer updateUserInfo(@Param("user") WorkUser user);


}
